Bug 859520 - [eap6] :whoami operation not available for managed servers
[eap6] :whoami operation not available for managed servers
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6 (Show other bugs)
JON 3.1.1
Unspecified Unspecified
unspecified Severity medium
: ER01
: JON 3.2.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On: 859512
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-09-21 13:58 EDT by Stefan Negrea
Modified: 2014-01-02 15:35 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 859512
Environment:
Last Closed: 2014-01-02 15:35:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-09-21 13:58:08 EDT
+++ This bug was initially created as a clone of Bug #859512 +++

Description of problem:
:whoami operation not available for managed servers because the security context is not established by AS7. This operation is used by the plugin to detect the server state (need restart or reload).

The error is harmless but the plugin should attempt a different operation if this operation fails.


How reproducible:
Everytime for AS7 managed servers in a domain configuration.


Steps to Reproduce:
1. Start AS7 in domain mode.
2. Inventory a host controllers with managed servers active.
3. Execute an operation on one of the managed servers resources.

  
Actual results:
Operations succeeds but the the warning (shown below) is visible in the logs.


Expected results:
Operations succeeds, a warning is visible in the logs but plugin sends a second followup operation is sent to the AS7 server to check for the current status.


Additional info:
The operation to be executed in case :whoami fails is :read-resource. This operation is slower because the amount of data to be transferred from the server but it's safer since every single resource has it. This second operation is to be executed only if the first one fails.


Here is the full text of the error printed in the logs:

WARN  21-09 10:40:31,654 (ASConnection.java:executeRaw:229)  -Received 500 (Internal Server Error) response to Operation{operation='whoami', address=Address{path: profile=full,subsystem=infinispan,cache-container=hibernate}, additionalProperties={}} - response body was [{"outcome" : "failed", "result" : {"identity" : {"username" : "admin", "realm" : "ManagementRealm"}}, "failure-description" : "JBAS010839: Operation failed or was rolled back on all servers.", "rolled-back" : true, "server-groups" : {"main-server-group" : {"host" : {"master" : {"server-one" : {"response" : {"outcome" : "failed", "failure-description" : "JBAS015249: No security context has been established.", "rolled-back" : true}}, "server-two" : {"response" : {"outcome" : "failed", "failure-description" : "JBAS015249: No security context has been established.", "rolled-back" : true}}}}}}}].
Comment 1 mark yarborough 2012-11-20 15:45:30 EST
Per triage with loleary, crouch, mfoley: Move to JBoss ON product, set target release JON 3.2, clear priority (will be subject to further triage in JON 3.2 timeframe).
Comment 2 Larry O'Leary 2012-11-21 19:54:20 EST
This appears to already be fixed upstream according to https://bugzilla.redhat.com/show_bug.cgi?id=859512#c1
Comment 3 Thomas Segismont 2013-06-13 09:06:50 EDT
Already fixed in master see upstream BZ859512#c1
Comment 4 Larry O'Leary 2013-09-06 10:32:15 EDT
As this is MODIFIED or ON_QA, setting milestone to ER1.
Comment 5 Libor Zoubek 2013-11-19 10:47:00 EST
Tescase from Stefan:

1. do a config change that requires managed server reload or restart
2. verify UI reports managed server needs reload or restart

Did it by changing datasource configuration in profile assigned with 1 or more running managed servers, then on managed server's datasource UI was signaling restart required

verified on JON 3.2.0.ER5

Note You need to log in before you can comment on or make changes to this bug.